@font-face {
    font-family: "playfair";
    src: url("../fonts/PlayfairDisplay-VariableFont_wght.ttf") format("truetype");
}

*,*::before, *::after {
    box-sizing: border-box;
}

body{
    margin: 0;
    padding: 0;
}

main{
    max-width: 80rem;
    margin-inline: auto;
    padding-inline: 1rem;
}

:root {
    font-family: playfair, sans-serif;
    line-height: 1.6rem;
    scroll-behavior: smooth;

    background: var(--ag);

    --bg: oklch(0.7731 0.2908 181.95);
    --primary:  oklch(0.3065 0.0467 217.85);
    --ag: oklch(0.95 0.02 210);
}

header {
    background-color: var(--primary);
    color: var(--ag);
    text-align: start;
    margin: auto;
    padding: 0;

    nav {
        margin-inline-end: 1rem
    ;
        ul {

            list-style: none;
            padding-inline: 0;
            margin-block:inherit;

            li:first-child{
                margin-right:auto;
                display: block;
            }

            li {
                display: flex;
                justify-content: center;
                padding-block: 0.55rem;

                background-color: var(--primary);
                color: var(--ag);
                text-decoration: none;

                img{
                    max-width: 2.5rem;
                }

                &:not(:first-child):hover, &:not(:first-child):focus-visible{
                    background-color: var(--bg);
                    color: var(--primary);

                    a{
                        color: var(--primary);
                        transition: background-color 0.3s, box-shadow 0.3s ease;
                    }
                }
            }
        }
    }

        a {
            display: block;
            padding-block: 1rem;
            padding-inline: 2rem;
            color: var(--ag);
            text-decoration: none;
        }
}

.body {
    margin: 1rem;
}

section{
    max-width:90rem;
}

#important {
    border-width: 0;
    clip-path: inset(50%);
    height: 1px;
    margin: 0;
    overflow: hidden;
    position: absolute;
    white-space: nowrap;
    width: 1px;
    padding: 0;
}

h1{
    font-size: 5rem;
    line-height: 5rem;
}

.foto {
    display: flex;
    align-items: center;
    gap: 2rem;
    flex-direction: column;
    text-align: center;
    justify-content: space-evenly;
    padding: 1rem;
    margin: 2rem;

    .tekst {
        display: flex;
        flex-direction: column;

        a {
            color: inherit;
            text-decoration: none;
            border: 2px solid var(--primary);
            padding: 0.25rem 0.5rem;
            border-radius: 0.5rem;
            display: inline-block;

            &:hover {
                background-color: var(--primary);
                color: var(--bg);
                transition: all 0.3s ease;
            }
        }
    }

    h2 {
        font-size: 2rem;
        line-height: 3rem;
    }

    picture img {

        max-height: 20rem;
        border-radius: 1rem;
        z-index: 1;

    }
}

.titel-link{
    display: flex;
    flex-direction: row;
    align-items: baseline;
    justify-content: space-between;

    h2{
        font-size: 1.5rem;
    }

    a{
        padding-inline-end: 1.5rem;
        color: inherit;
        font-size: 1.5rem;
    }
}

.cards {
    display: flex;
    flex-wrap: wrap;
    gap:2rem;

    margin: 2rem;
    padding: 0;

    li{
        display: flex;
        flex-direction: column;
        position: relative;
        width: 100%;
        min-width: 5rem;
        max-width: 30rem;

        border: solid var(--primary);
        box-shadow: 0.5rem 0.5rem 1.5rem var(--primary);
        border-radius: 1rem 1rem 1rem 1rem;

        background: var(--primary);
        color: var(--ag);

        &:hover{
            background-color:var(--bg);
            box-shadow: 0.5rem 0.5rem 1.5rem var(--primary);
            transition: background-color 0.3s, box-shadow 0.3s ease;

            color:var(--primary);
        }

        a{
            color: inherit;

            display: flex;
            justify-content: flex-end;
        }

        .content {
            display: flex;
            flex-direction: column;

            > *:not(picture){
                margin: 1rem;
            }

            picture {
                order: -1;

                img {
                    width: 100%;
                    aspect-ratio: 3/2;
                    max-height: 20rem;
                    border-radius: 1rem 1rem 0 0;
                }
            }
        }

        .overlay-link{
            position: absolute;
            inset: 0;

            text-indent: 100%;
            white-space: nowrap;
            overflow: hidden;
        }
        a:not(.overlay-link){
            z-index: 1;
        }
    }
}

.bereiken {
    margin-block-end: 1rem;
    h2 {
        padding-block: 2rem;
        font-size: 1.5rem;
    }

    ul {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        gap: 3rem;
        list-style: none;
        margin-block: 2rem;
    }
    picture img {
            width: 100%;
            max-height: 3rem;
    }
}

.end{
    padding-block-end: 3rem;
}

footer{
    text-align: center;
    background-color: var(--primary);
    padding:1rem;
    margin-block-start:1rem;
    unicode-bidi: isolate;

    color: var(--ag);


    a{
        text-decoration: none;
        color:inherit;

    }
}

@media (min-width:30em){
    .foto h2 {
            font-size: 3rem;
            line-height: 5rem;
    }

    .bereiken h2{
        font-size: 2rem;
    }

    .titel-link h2{
        font-size: 2rem;
    }

    footer p{
        color: var(--ag);
        display: flex;
        justify-content: center;
    }
}

@media (min-width: 40em) {
    nav {
        ul {
            display: flex;
            flex-wrap: wrap;
        }
    }

    .cards li {
        width: calc(50% - 1.5rem);
        min-width: 12.375rem;
    }

    h1{
        line-height: 3rem;
    }

    .bereiken ul{
        display: flex;
        flex-direction: row;
        margin-block: 5rem;
    }

    .foto{
        flex-direction: row;

        a {
            align-items: flex-start;
        }
    }
}

@media (min-width: 55em) {
    .cards li {
        width: calc(33.3% - 1.5rem);
        min-width: 12.375rem;
    }
    .tekst  picture img {
        width: calc(25% - 1rem);
        min-width: 12rem;
    }
}

@media (min-width: 80em) {
    .bereiken ul {
        display: flex;
        width: calc(25% - 3);
        gap: 2rem;
    }

    .cards li {
        width: calc(25% - 1.5rem);
        min-width: 12.375rem;

    }

    .tekst  picture img{
        width: calc(25% - 1rem);
        min-width: 12rem;
    }
}
